[PATCH] m68k/Atari: 2.6.18 Atari IDE interrupt needs SA_SHIRQ
Michael Schmitz [Sat, 9 Dec 2006 09:46:30 +0000 (10:46 +0100)]
Atari IDE: The interrupt needs SA_SHIRQ now to get registered.

Signed-off-by: Michael Schmitz <schmitz@biophys.uni-duesseldorf.de>
Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Linus Torvalds <torvalds@osdl.org>

arch/m68k/atari/stdma.c

index d64b580..d01deb4 100644 (file)
@@ -174,7 +174,7 @@ int stdma_islocked(void)
 void __init stdma_init(void)
 {
        stdma_isr = NULL;
-       request_irq(IRQ_MFP_FDC, stdma_int, IRQ_TYPE_SLOW,
+       request_irq(IRQ_MFP_FDC, stdma_int, IRQ_TYPE_SLOW | SA_SHIRQ,
                    "ST-DMA: floppy/ACSI/IDE/Falcon-SCSI", stdma_int);
 }